%if 0%{?fc7}
%else
  %define _remove_encoding --remove-key Encoding
%endif

Summary:	User Interface Designer for GTK+ and GNOME
Name:		glade3
Version:	3.4.5
Release:	4%{?dist}
License:	GPLv2+
Group:		Development/Tools
URL:		http://glade.gnome.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glade3/3.4/%{name}-%{version}.tar.gz

# http://bugzilla.gnome.org/531585
Patch0:		%{name}-%{version}-anjuta-hang.patch
Patch1:		%{name}-%{version}-desktop.patch
# http://bugzilla.gnome.org/533471
Patch2:		%{name}-%{version}-edit-menuitem.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Will be dropped in Fedora 10.
Provides:	glade = 1:%{version}-%{release}

Requires:	hicolor-icon-theme
Requires:	%{name}-libgladeui = %{version}-%{release}
Requires(post):	scrollkeeper
Requires(postun): scrollkeeper

%if 0%{?fc7}
BuildRequires:	gtk-doc
%endif

BuildRequires:	desktop-file-utils 
BuildRequires:	gettext
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	libgnomeui-devel
BuildRequires:	libtool
BuildRequires:	pygtk2-devel
BuildRequires:	scrollkeeper

%description
Glade is a RAD tool to enable quick and easy development of user interfaces for
the GTK+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are saved as XML, which can be used in
numerous programming languages including C, C++, Java, Perl, Python, C#, Pike,
Ruby, Haskell, Objective Caml and Scheme. Adding support for other languages
is easy too.

%package libgladeui
Summary:	Widget library for Glade UI designer
# Some artwork is licensed under LGPLv2.
# For a breakdown of the licensing, see COPYING.
License:	GPLv2+ and LGPLv2
Group:		Development/Libraries

Requires:	devhelp

%description libgladeui
Libgladeui consists of the widgets that compose the Glade GUI as a separate
library to ease the integration of Glade into other applications.

%package libgladeui-devel
Summary:	Development files for %{name}-libgladeui
License:	GPLv2+
Group:		Development/Libraries

Requires:	gtk-doc
Requires:	gtk2-devel
Requires:	%{name}-libgladeui = %{version}-%{release}
Requires:	libxml2-devel
Requires:	pkgconfig

%description libgladeui-devel
This package contains development files for %{name}-libgladeui.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --disable-static --enable-gtk-doc

# Remove rpaths.
rm -f ./libtool
cp %{_bindir}/libtool .

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete
find $RPM_BUILD_ROOT -type f -name "*.a" -delete

%if 0%{?fc7}
 rm -rf $RPM_BUILD_ROOT%{_var}/lib/scrollkeeper
%endif

%find_lang %{name}

desktop-file-install %{?_remove_encoding} --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/glade-3.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q -o %{_datadir}/omf/glade || :

if [ -x %{_bindir}/update-desktop-database ]; then
  update-desktop-database &> /dev/null || :
fi

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :

if [ -x %{_bindir}/update-desktop-database ]; then
  update-desktop-database &> /dev/null || :
fi

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%post libgladeui -p /sbin/ldconfig

%postun libgladeui -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING.GPL
%doc NEWS
%doc README
%doc TODO
%{_bindir}/glade-3
%{_datadir}/applications/fedora-glade-3.desktop
%{_datadir}/icons/hicolor/16x16/apps/glade-3.png
%{_datadir}/icons/hicolor/22x22/apps/glade-3.png
%{_datadir}/icons/hicolor/24x24/apps/glade-3.png
%{_datadir}/icons/hicolor/32x32/apps/glade-3.png
%{_datadir}/icons/hicolor/48x48/apps/glade-3.png
%{_datadir}/icons/hicolor/scalable/apps/glade-3.svg

%dir %{_datadir}/gnome/help/glade
%{_datadir}/gnome/help/glade/*

%dir %{_datadir}/omf/glade
%{_datadir}/omf/glade/*

%files libgladeui
%defattr(-,root,root,-)
%doc COPYING
%doc COPYING.GPL
%doc COPYING.LGPL
# GPLv2+
%{_libdir}/libgladeui-1.so.*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/catalogs
# LGPLv2
%{_datadir}/%{name}/pixmaps

# GPLv2+
%dir %{_libdir}/%{name}
# Contains *.so files that are not symlinked to *.so.* files.
%{_libdir}/%{name}/modules

%files libgladeui-devel
%defattr(-,root,root,-)
%doc COPYING.GPL
%{_libdir}/libgladeui-1.so
%{_libdir}/pkgconfig/gladeui-1.0.pc

%dir %{_datadir}/gtk-doc/html/gladeui
%doc %{_datadir}/gtk-doc/html/gladeui/*

%dir %{_includedir}/libgladeui-1.0
%{_includedir}/libgladeui-1.0/gladeui

%changelog
* Sun Apr 12 2009 Debarshi Ray <rishi@fedoraproject.org> - 3.4.5-4
- Backported fix to prevent a crash when editing a GtkMenuItem. (GNOME Bugzilla
  #533471)
- Added 'Requires: devhelp' to glade3-libgladeui.

* Sat Jan 31 2009 Debarshi Ray <rishi@fedoraproject.org> - 3.4.5-3
- Fixed unowned directories in libgladeui-devel. (Red Hat Bugzilla #483311)

* Mon Jan 05 2009 Debarshi Ray <rishi@fedoraproject.org> - 3.4.5-2
- Added patch to prevent Anjuta from hanging on startup from GNOME that was
  mistakenly left out from the upstream tarball. (GNOME Bugzilla #531585, and
  Red Hat Bugzilla #478698)

* Tue Sep 16 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.4.5-1
- Version bump to 3.4.5.
  * http://ftp.gnome.org/pub/GNOME/sources/glade3/3.4/glade3-3.4.5.news

* Wed Apr 19 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.4.4-1
- Version bump to 3.4.4.
  * Duplicate widget names not allowed in a project.
  * Fixed crash when adding items to a GtkComboBox. (GNOME Bugzilla #528511)
  * Translation updates: sq, tr, bg, da, es, en_GB, ml, pt_BR and hi.
  * http://ftp.gnome.org/pub/GNOME/sources/glade3/3.4/glade3-3.4.4.news

* Wed Mar 12 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.4.3-1
- Version bump to 3.4.3.
  * Ported to GtkTooltip. (GNOME Bugzilla #500947)
  * Translation updates: nb, ru, fr, lt, mk, it, hu, pt_BR, en_GB, gl, ca, fi,
    de, pt, th, uk, he, tr, vi, oc, sv, ar, es and ja.
  * http://ftp.gnome.org/pub/GNOME/sources/glade3/3.4/glade3-3.4.3.news
  * http://ftp.gnome.org/pub/GNOME/sources/glade3/3.4/glade3-3.4.2.news

* Sun Mar 02 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.4.1-5
- Removed 'BuildRequires: gtk-doc' from all distributions, except Fedora 7.
- Added 'Requires: gtk-doc' for glade3-libgladeui-devel.

* Sun Mar 02 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.4.1-4
- Replaced 'BuildRequires: chrpath' with 'BuildRequires: libtool' for removing
  rpaths.

* Sun Feb 03 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.4.1-3
- Omitted unused direct shared library dependencies.

* Fri Dec 21 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.4.1-2
- Removed deletion of /var/lib/scrollkeeper from all distributions, except
  Fedora 7.

* Thu Dec 20 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.4.1-1
- Version bump to 3.4.1.
  * Translation updates: nb, sl, et, ar, tr, gl, ko, ja and pt_BR.
  * http://ftp.gnome.org/pub/GNOME/sources/glade3/3.4/glade3-3.4.1.news

* Tue Nov 27 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.4.0-5
- Fixed usage of _remove_encoding to prevent failure on Fedora 7.
- Added 'BuildRequires: gtk-doc' and 'BuildRequires: scrollkeeper' to prevent
  failure on Fedora 7.

* Sun Nov 25 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.4.0-4
- Removed Encoding from Desktop Entry for all distributions, except Fedora 7.

* Tue Nov 13 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.4.0-3
- Clarified multiple licensing issues according to Fedora licensing guidelines.
- Trimmed the 'BuildRequires' list.
- Trimmed the 'Requires' list for glade3-libgladeui-devel.
- Removed custom config files for /etc/ld.so.conf.d.

* Wed Nov 07 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.4.0-2
- Added 'BuildRequires: chrpath' for removing rpaths.

* Tue Nov 06 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.4.0-1
- Initial build. Imported SPEC written by Yijun Yuan and fixed by Tim
  Lauridsen.
  * Translation updates: et, es, fi, gl, sv, en_CA, ja, pt_BR, th, hu, pt, da,
    vi, bg, lt, mk, nb, uk, it, de, si, bn, fr, ar, en_GB, ru, pl and ca.
- Included custom config files for /etc/ld.so.conf.d.
- Changed Name to differentiate with Glade-2.
